# Analysis of dynamical properties in Automata Networks
# Attractors

#### Compilation requirements
  
  - [Clasp](http://sourceforge.net/projects/potassco/files/clasp/) is an answer set solver. Version > 3.1
  
  - [Gringo](http://sourceforge.net/projects/potassco/files/gringo/) Version > 5.0.
  It is a grounder. From a given input program with first-order variables, it computes an equivalent ground (variable-free) program
  
  ##### OR
  
  - [Clingo](http://sourceforge.net/projects/potassco/files/clingo/) Version > 5.0.
  It combines both gringo and clasp into a monolithic system.

INSTRUCTIONS FOR EXECUTING

Copy scripts and examples folder to your home directory.

-- Using Terminal, you can execute the following command-line for attractors identification. 

	$ bash attractors.sh <network> <size_attractor> <a/s> <0/1>

with:
	#### "size_attractor" : the size of the attractor,
	#### "a/s" : the semantics of the dynamics; 's': synchronous and 'a': asynchronous
	#### "0/1": display all attractors or only one; '1': one attractor and '0': all attractors

### Example:

 We give here some examples for the benchmarks that we use to test our method. For each model we compute its fixed points and the attractors.

* Lambda Phage model:
	- For computing all fixed points of this model, execute the following command:
	$ bash attractors.sh phageLambda.lp 1 

	- For computing the attractors of size 2 through asynchronous dynamics:
		- one attractor:
	$ bash attractors.sh lambda-phage.lp 2 a 1
		- all attractors:
	$ bash attractors.sh lambda-phage.lp 2 a 0

- For computing the attractors of size 2 through synchronous dynamics:
		- one attractor:
	$ bash attractors.sh lambda-phage.lp 2 s 1
		- all attractors:
	$ bash attractors.sh lambda-phage.lp 2 s 0




